## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl
Class SybaseASABaseTriggerImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl
                                      org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseTriggerImpl

All Implemented Interfaces:
  SybaseASABaseTrigger, SQLObject, Trigger, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  SybaseASACatalogBaseTrigger

    public class SybaseASABaseTriggerImpl

extends org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl
implements SybaseASABaseTrigger

An implementation of the model object 'Sybase ASA Base Trigger'.

The following features are implemented:

- `Order`
- `Sybase ASA Base Action Time`
- `Remote Name`
- `Update Column Type`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getNewName()`
`java.lang.String` `getOldName()`
`int` `getOrder()`
`java.lang.String` `getRemoteName()`
`SybaseASABaseActionTime` `getSybaseASABaseActionTime()`
`boolean` `isUpdateColumnType()`
`void` `setNewName(java.lang.String newName)`
`void` `setOldName(java.lang.String oldName)`
`void` `setOrder(int newOrder)`
`void` `setRemoteName(java.lang.String newRemoteName)`
`void` `setSybaseASABaseActionTime(SybaseASABaseActionTime newSybaseASABaseActionTime)`
`void` `setUpdateColumnType(boolean newUpdateColumnType)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl

`basicGetSchema, basicGetSubjectTable, basicSetSchema, basicSetSubjectTable, basicSetWhen, eInverseAdd, eInverseRemove, getActionGranularity, getActionStatement, getActionTime, getNewRow, getNewTable, getOldRow, getOldTable, getSchema, getSubjectTable, getTimeStamp, getTriggerColumn, getWhen, isDeleteType, isInsertType, isUpdateType, setActionGranularity, setActionTime, setDeleteType, setInsertType, setNewRow, setNewTable, setOldRow, setOldTable, setSchema, setSubjectTable, setUpdateType, setWhen`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Trigger
`getActionGranularity, getActionStatement, getActionTime, getNewRow, getNewTable, getOldRow, getOldTable, getSchema, getSubjectTable, getTimeStamp, getTriggerColumn, getWhen, isDeleteType, isInsertType, isUpdateType, setActionGranularity, setActionTime, setDeleteType, setInsertType, setNewRow, setNewTable, setOldRow, setOldTable, setSchema, setSubjectTable, setUpdateType, setWhen`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getOrder

    public int getOrder()

  Specified by:
    `getOrder` in interface `SybaseASABaseTrigger`
  Returns:
    the value of the 'Order' attribute.
  See Also:
    `SybaseASABaseTrigger.setOrder(int)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTrigger_Order()`

### setOrder

    public void setOrder(int newOrder)

  Specified by:
    `setOrder` in interface `SybaseASABaseTrigger`
  Parameters:
    `newOrder` - the new value of the 'Order' attribute.
  See Also:
    `SybaseASABaseTrigger.getOrder()`

### getSybaseASABaseActionTime

    public SybaseASABaseActionTime getSybaseASABaseActionTime()

  Specified by:
    `getSybaseASABaseActionTime` in interface `SybaseASABaseTrigger`
  Returns:
    the value of the 'Sybase ASA Base Action Time' attribute.
  See Also:
    `SybaseASABaseActionTime`, `SybaseASABaseTrigger.setSybaseASABaseActionTime(SybaseASABaseActionTime)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTrigger_SybaseASABaseActionTime()`

### setSybaseASABaseActionTime

    public void setSybaseASABaseActionTime(SybaseASABaseActionTime newSybaseASABaseActionTime)

  Specified by:
    `setSybaseASABaseActionTime` in interface `SybaseASABaseTrigger`
  Parameters:
    `newSybaseASABaseActionTime` - the new value of the 'Sybase ASA Base Action Time' attribute.
  See Also:
    `SybaseASABaseActionTime`, `SybaseASABaseTrigger.getSybaseASABaseActionTime()`

### getRemoteName

    public java.lang.String getRemoteName()

  Specified by:
    `getRemoteName` in interface `SybaseASABaseTrigger`
  Returns:
    the value of the 'Remote Name' attribute.
  See Also:
    `SybaseASABaseTrigger.setRemoteName(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTrigger_RemoteName()`

### setRemoteName

    public void setRemoteName(java.lang.String newRemoteName)

  Specified by:
    `setRemoteName` in interface `SybaseASABaseTrigger`
  Parameters:
    `newRemoteName` - the new value of the 'Remote Name' attribute.
  See Also:
    `SybaseASABaseTrigger.getRemoteName()`

### isUpdateColumnType

    public boolean isUpdateColumnType()

  Specified by:
    `isUpdateColumnType` in interface `SybaseASABaseTrigger`
  Returns:
    the value of the 'Update Column Type' attribute.
  See Also:
    `SybaseASABaseTrigger.setUpdateColumnType(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTrigger_UpdateColumnType()`

### setUpdateColumnType

    public void setUpdateColumnType(boolean newUpdateColumnType)

  Specified by:
    `setUpdateColumnType` in interface `SybaseASABaseTrigger`
  Parameters:
    `newUpdateColumnType` - the new value of the 'Update Column Type' attribute.
  See Also:
    `SybaseASABaseTrigger.isUpdateColumnType()`

### getOldName

    public java.lang.String getOldName()

  Specified by:
    `getOldName` in interface `SybaseASABaseTrigger`

### getNewName

    public java.lang.String getNewName()

  Specified by:
    `getNewName` in interface `SybaseASABaseTrigger`

### setOldName

    public void setOldName(java.lang.String oldName)

  Specified by:
    `setOldName` in interface `SybaseASABaseTrigger`

### setNewName

    public void setNewName(java.lang.String newName)

  Specified by:
    `setNewName` in interface `SybaseASABaseTrigger`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TriggerImpl`